function F=Brinktumor1d_movie(xx,nf,pf,Wf,tt)
% function to create a movie for the one-dimensional evolution, plotting
% density, pressure, potential all in the same plot.
% 2017/05/13

figure('Renderer','zbuffer')
plot(xx,nf(:,1),xx,pf(:,1),xx,Wf(:,1))
axis tight manual
set(gca,'NextPlot','replaceChildren');
[~,nt]=size(Wf);
rat=floor(length(tt)/nt);
F(nt)=struct('cdata',[],'colormap',[]);
for n=1:nt
    
    plot(xx,nf(:,n),xx,pf(:,n),xx,Wf(:,n))
    legend('n','p','W');
    title(['t=', num2str(tt(1+(n-1)*rat))])
    F(n)=getframe;
end
