function make_plot(nn,T,D,maxn,minn)
% create nice plots with Latex font

figure; imagesc([D(1,1),D(1,2)],[D(2,1),D(2,2)],nn); colorbar
axis tight manual
axis equal
zlim([minn maxn])
caxis([minn maxn])
title(['$T=$',num2str(T)],'FontSize', 16,'Interpreter','latex')
xlabel('$x$','FontSize', 16,'Interpreter','latex')
ylabel('$y$','FontSize', 16,'Interpreter','latex')